
Redmine - Defect #29981

"% Done" should be rounded down to the 1

2018-11-15 17:27 - Goh Matsumoto

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

In the following case, "% Done" of the issue A is shown as 100% because "% Done" is rounded.

As one issue doesn't be completed, "% Done" should be shown as 99%.

In other words, "% Down" should be rounded down(using floor method of something like that).

A

├ B: 100%

└ C: 99%

　　├ C1: 90%

　　├ C2: 100%

　　├ C3: 100%

　　├ C4: 100%

　　├ C5: 100%

　　├ C6: 100%

　　├ C7: 100%

　　├ C8: 100%

　　├ C9: 100%

　　└ C10: 100%

Related issues:

Is duplicate of Redmine - Defect #27848: The progress exceeding 99.5% is disp... Closed

History

#1 - 2018-11-15 23:05 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

Fixed in the upcoming Redmine 4.0.0. Please see #27848.

#2 - 2018-11-15 23:05 - Marius BĂLTEANU

- Has duplicate Defect #27848: The progress exceeding 99.5% is displayed as 100% added

#3 - 2018-11-15 23:05 - Marius BĂLTEANU

- Has duplicate deleted (Defect #27848: The progress exceeding 99.5% is displayed as 100%)

#4 - 2018-11-15 23:05 - Marius BĂLTEANU

- Is duplicate of Defect #27848: The progress exceeding 99.5% is displayed as 100% added

#5 - 2018-11-16 17:55 - Goh Matsumoto

Sorry, I could't find the issue.

Thanks.

#6 - 2018-11-16 18:55 - Marius BĂLTEANU

Goh Matsumoto wrote:

Sorry, I could't find the issue.

Thanks.
https://www.redmine.org/versions/99
https://www.redmine.org/issues/27848


 No problem.
